commit:     06b95fe001278737eeba96554adad6c1261572b6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 18 06:57:58 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 18 06:57:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06b95fe0

dev-ruby/open4: enable ruby33

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/open4/open4-1.3.4-r1.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/open4/open4-1.3.4-r1.ebuild 
b/dev-ruby/open4/open4-1.3.4-r1.ebuild
index 4817885e95ad..be68fc392186 100644
--- a/dev-ruby/open4/open4-1.3.4-r1.ebuild
+++ b/dev-ruby/open4/open4-1.3.4-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 RUBY_FAKEGEM_TASK_DOC=""
 RUBY_FAKEGEM_EXTRADOC="README"
@@ -21,6 +21,10 @@ ruby_add_bdepend "test? ( dev-ruby/minitest )"
 
 all_ruby_prepare() {
        mv rakefile Rakefile || die
+
+       # Fix minitest deprecation
+       sed -e 's/MiniTest::Unit::TestCase/Minitest::Test/' \
+               -i test/lib/test_case.rb || die
 }
 
 all_ruby_install() {

Reply via email to